import React, { Component } from 'react'
import { withRouter } from 'react-router'

import Header from './header'
import History from './history'
import WorkSpace from './workspace'

import './index.scss'

class Interface extends Component {
  componentDidMount () {
    if (!sessionStorage.getItem('UserID') || /^visitor/.test(sessionStorage.getItem('UserID'))) {
      this.props.history.replace('/login')
      return
    }
  }
  render () {
    if (!sessionStorage.getItem('UserID') || /^visitor/.test(sessionStorage.getItem('UserID'))) {
      return null
    }
    return (
      <div className="interface-view">
        <Header key="header"/>
        <History key="history"/>
        <WorkSpace key="workspace"/>
      </div>
    )
  }
}

export default withRouter(Interface)